module Crowdfund
  module Fundable
    def add_funds(funds=2000)
      self.funding += funds
      puts "#{name} received funds!"
    end

    def remove_funds(funds=1000)
      self.funding -= funds
      puts "#{name} lost funds!"
    end

    def funding_needed
      self.target_funding - total_funding
    end

    def funded?
      funding_needed <= 0
    end

    def <=>(other_project)
      other_project.funding_needed <=> funding_needed
    end
  end
end
