require_relative 'die'
require_relative 'project'
require_relative 'pledge_pool'

module Crowdfund
  module FundingRound
    def self.pitch_for_funds(project)
      die = Die.new
      number_rolled = die.roll

      if number_rolled.even?
        project.add_funds
      else
        project.remove_funds
      end

      pledge = PledgePool.random
      project.accept_pledge(pledge)
    end
  end
end
