require_relative 'project'

module Crowdfund
  class MatchingProject < Project

    def halfway_funded?
      total_funding >= (@target_funding / 2)
    end

    def add_funds(funds=2000)
      halfway_funded? ? super(funds * 2) : super(funds)
    end
  end
end
